# Minarca-Client Documentation

# Installation

## On Linux

**With Command Line:**

    wget http://www.patrikdufresne.com/archive/minarca/minarca-client_latest_all.deb
    apt install ./minarca-client_latest_all.deb

**With a User interface:**

 1. Download the latest Debian package from [here](http://www.patrikdufresne.com/archive/minarca/minarca-client_latest_all.deb).
 2. Double click on the package to install it using your favourite tool.

*Notice: To improve the user experience we are working to make a PPA available.*

## On Windows

 1. Download the latest Windows installer from [here](http://www.patrikdufresne.com/archive/minarca/minarca-latest-install.exe).
 2. Double click on the package to install it.

# Link your client with Minarca Server

Pre-requisite: You need to have a functional Mianrca Server deployed. You may use https://test.minarca.net which is made available for testing purpose.

**From Command line:**

    minarca link --force --remoteurl {{minarca_client_remote_url}} --username {{minarca_client_user}} --password {{minarca_client_pass}} --name {{ansible_hostname}}

**From User Interface:**

1. Simply open `minarcaui`. If you have installed Minarca client you should be able to launch the client from your start menu.
2. If Minarca is not yet linked to a server, a Setup dialog will be shown to allow you to configure Minarca with you server.
3. You must provide the URL to you Minarca server, a username and password.
4. You must also provide a repository name.

# FAQ

## Is Minarca compatible with…?

The Minarca client application works with Windows and Debian Linux
operating systems. We recommend the following configuration:

 * Windows 7, 8 or 10
 * Debian Linux Buster

To access your data on the Minarca web interface, we recommend the following browsers:

 * Internet Explorer 9+
 * Google Chrome
 * Safari 8+
 * Firefox 3+
 * Android devices

## What is Minarca.net SaaS ?

[Minarca.net SaaS](https://www.minarca.net) (Software as a service) allows you to backup your data using Minarca without the trouble of installing Minarca Server. This solution is perfect to Small Business or non-technical customer. You will benefits from Minarca without the burden of maintaining the hardware architecture.

## How do I sign up for Minarca.net SaaS ?

You may subscribe to our [Minarca.net SaaS](https://www.minarca.net) (Software as a service) which allow you to benefit from Minarca without installing a server. To subscribe, you may fill the [subscription form](http://www.patrikdufresne.com/en/support/#form) or send an email to [support@patrikdufresne.com](mailto:support@patrikdufresne.com). We will contact you to finalize your subscription, either by email or phone, depending on your preference.

## How do I install Minarca Client?

### 1. Download
You can download the Minarca application and follow the [**installation procedures**](/en/minarca/download/).

![Minarca installation - Accept license agreement.](4terms.png)

![Minarca installation - Select installation directory.](fenetre-installation.png)

### 2. Subscribe
Enter the username and temporary password assigned to you, and then create a name to link your computer to Minarca.

![Minarca Setup - Sign in with your username and password.](5connect.png)

![Minarca Setup - Link your system with a repository name.](6computer.png)

**Warning!** The name of your device cannot be changed.

### 3. Enjoy Minarca!
 Once the application is installed, you can access the Minarca web interface either at [**https://www.minarca.net**](https://www.minarca.net/) or by clicking on the **Go to the Minarca Web Site ** icon in your application itself. You will have to sign in again.

## How do I change the automatic backup frequency?

By default, Minarca backs up data once a day. However, you can change the frequency (hourly, daily, weekly or monthly). To change backup frequency, open the Minarca application in the **Backup Settings** section, and choose the desired schedule.

## How do I perform a manual backup?

Minarca automatically backs up data according to frequency settings. However, it is possible to manually backup data. To do this, open your Minarca application, and go to **Backup Settings**. Click **Start**.

## How do I access my data backups?

To access your data backups, you can open your Minarca application and click the icon in the **Your Data** section.

## How do I select the folders I would like to back up?

The Minarca application lets you select which folders or files you do or do not want to back up. Open your Minarca application and, in the **Backup Settings** section, click on the **Selective Backup** icon. You can then choose the folders or files you want to back up.

## There is a folder I would like to back up, but it is not on the list.

When you access **Selective Backup**, there is a predefined list of files. However, it is possible to customize your choice by adding folders. Click **Add Folder**, and select one of your existing folders. Follow the same steps to add only one file by clicking **Add File**.

## How do I restore one or more file(s)?

You can restore a complete backup or specific files only by accessing your data at [**https://www.minarca.net**](https://www.minarca.net/). In the **Repository** section, choose the device you would like to back up.

![Minarca Web Interface - Repository list.](10acceuil.png)

**For a complete backup:** select the **Restore Directory** tab, and download the desired version of the backup.

**To restore a directory:** stay in the **Browse Directory** tab, and select the file you want to restore. Once the file has been selected, go to the **Restore Directory** tab, and download. Only the selected file will be downloaded.

![Minarca Web Interface - Restore a folder.](12repositories.png)

## How do I link a second device to my account?

With Minarca, you can link several devices to the same account. Simply install the application on your selected devices, and give each device its own name. When you connect with [**Minarca**](https://www.minarca.net/), you will have access to all your devices in the **Repository **section.

## How do I delete a backup from one of my devices?

It is possible to completely delete one of your device backups. In the **Repository** section, select the desired device, and then click the **Settings** tab.

**Warning! The deletion of a device backup is permanent!**


## There is a new version of the Minarca application online. How do I get the update?

Simply reinstall the application to get the new version online.

## How do I change my password?

Change your password in the *User Profile* (Top-Right corner in the web application). For security reasons, we recommend that you choose a secure password:
 * with at least 8 characters
 * containing letters (a-z) and numbers (0-9)

![Minarca Web Interfaces - User settings to change your password.](15usersettings.png)

## I forgot my password. What should I do?

It's not possible for you to recover you password. You must contact your systeme administrator to recover the password.

## How do I change my email address?

You can change your email address in the *User Profile* (Top-Right corner in web application).

## Can I change my username?

Your username cannot be changed.

## Can I change the names of my repository?

The names of your repository cannot be changed by the user. You must ask a system administrator to rename a repository.

## How much space do my backups use?

As soon as you connect to the Minarca web interface, you can see the space used and the space available in the **Repository** section. The total space should match your plan.

## Why are the names of my files in French in my data backup?

Even though the folders are in English on your device, they may be backed up with French names. This has to do with your operating system. The problem is most common with Windows 7 and up.

## Why is my Minarca application installed in French?

If your operating system is in French, Minarca will be installed in French.

## I backed up a device, and it does not appear in the "Repository" section.

If you back up a device for the first time and it does not appear in the **Repository** section, you can refresh your repository in [**User Settings **](https://www.minarca.net/prefs/) by clicking **Refresh Repository** at the bottom of the page.

## I cannot link my computer when installing Minarca.

While linking your computer to Minarca, you see the message **An unknown error has occurred! If the problem persists, try reinstalling Minarca**. If the problem still persists, contact us online by filling out the [**Help Form**](http://www.patrikdufresne.com/en/support/#form).


## Troubleshooting

### Logs locations

The user interface and the command line interface are generating logs in the same log files. 

*On Windows*

    %TEMP%\minarca.log
    or
    C:\Users\vmtest\AppData\Local\Temp\minarca.log

*On Linux*

    ~/.local/share/minarca/
